Bug 1648709 (python-indexed_gzip) - Review Request: python-indexed_gzip - Fast random access of gzip files in Python
Summary: Review Request: python-indexed_gzip - Fast random access of gzip files in Python
Keywords:
Status: CLOSED ERRATA
Alias: python-indexed_gzip
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-11 20:56 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-22 03:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-22 02:22:32 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-11 20:56:29 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-indexed_gzip/python-indexed_gzip.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-indexed_gzip/python-indexed_gzip-0.8.7-1.fc29.src.rpm

Description: 
The indexed_gzip project is a Python extension which aims to provide a drop-in
replacement for the built-in Python gzip.GzipFile class, the IndexedGzipFile.

indexed_gzip was written to allow fast random access of compressed NIFTI image
files (for which GZIP is the de-facto compression standard), but will work with
any GZIP file.  indexed_gzip is easy to use with nibabel.

The standard gzip.GzipFile class exposes a random access-like interface (via
its seek and read methods), but every time you seek to a new point in the
uncompressed data stream, the GzipFile instance has to start decompressing from
the beginning of the file, until it reaches the requested location.

An IndexedGzipFile instance gets around this performance limitation by building
an index, which contains *seek points*, mappings between corresponding
locations in the compressed and uncompressed data streams. Each seek point is
accompanied by a chunk (32KB) of uncompressed data which is used to initialise
the decompression algorithm, allowing us to start reading from any seek point.
If the index is built with a seek point spacing of 1MB, we only have to
decompress (on average) 512KB of data to read from any location in the file.


Fedora Account System Username: ankursinha

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30810729

Comment 1 Robert-André Mauchin 2018-11-12 16:09:42 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "zlib/libpng license". 21 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-indexed_gzip/review-python-
     indexed_gzip/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-indexed_gzip , python-indexed_gzip-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-indexed_gzip-0.8.7-1.fc30.x86_64.rpm
          python-indexed_gzip-debugsource-0.8.7-1.fc30.x86_64.rpm
          python-indexed_gzip-0.8.7-1.fc30.src.rpm
python3-indexed_gzip.x86_64: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
python3-indexed_gzip.x86_64: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python3-indexed_gzip.x86_64: W: spelling-error %description -l en_US GzipFile -> Misfile
python3-indexed_gzip.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
python3-indexed_gzip.x86_64: W: spelling-error %description -l en_US facto -> fact, factor, facts
python3-indexed_gzip.x86_64: W: spelling-error %description -l en_US nibabel -> Babel, babel
python3-indexed_gzip.x86_64: W: spelling-error %description -l en_US initialise -> initialize, initial, inessential
python-indexed_gzip-debugsource.x86_64: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
python-indexed_gzip-debugsource.x86_64: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-indexed_gzip.src: W: spelling-error Summary(en_US) gzip -> zip, grip, g zip
python-indexed_gzip.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-indexed_gzip.src: W: spelling-error %description -l en_US GzipFile -> Misfile
python-indexed_gzip.src: W: spelling-error %description -l en_US de -> DE, ed, d
python-indexed_gzip.src: W: spelling-error %description -l en_US facto -> fact, factor, facts
python-indexed_gzip.src: W: spelling-error %description -l en_US nibabel -> Babel, babel
python-indexed_gzip.src: W: spelling-error %description -l en_US initialise -> initialize, initial, inessential
3 packages and 0 specfiles checked; 0 errors, 16 warnings.

Comment 2 Ankur Sinha (FranciscoD) 2018-11-12 17:48:56 UTC
Thanks for the review, Robert. SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/8812

Comment 3 Gwyn Ciesla 2018-11-12 18:32:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-indexed_gzip

Comment 4 Fedora Update System 2018-11-12 19:14:50 UTC
python-indexed_gzip-0.8.7-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-256cb0c7e1

Comment 5 Fedora Update System 2018-11-12 19:15:16 UTC
python-indexed_gzip-0.8.7-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-91502577f3

Comment 6 Fedora Update System 2018-11-13 04:07:53 UTC
python-indexed_gzip-0.8.7-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-91502577f3

Comment 7 Fedora Update System 2018-11-13 04:49:59 UTC
python-indexed_gzip-0.8.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-256cb0c7e1

Comment 8 Fedora Update System 2018-11-22 02:22:32 UTC
python-indexed_gzip-0.8.7-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-22 03:20:33 UTC
python-indexed_gzip-0.8.7-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.